This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Python 2.4.1 Installer ended prematurely
Type: Stage:
Components: Installation Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: loewis, tungwaiyip
Priority: normal Keywords:

Created on 2005-05-11 16:01 by tungwaiyip, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
python.2.4.1.log tungwaiyip, 2005-05-11 16:01 installer log
Messages (3)
msg25286 - (view) Author: Wai Yip Tung (tungwaiyip) Date: 2005-05-11 16:01
Similar symptom to bug 105470
http://sourceforge.net/tracker/index.php?
func=detail&aid=1085208&group_id=5470&atid=105470

Running python-2.4.1.msi with all default setting. It ends 
quickly with a dialogbox titled "Python 2.4.1 Installer 
ended prematurely". Same problem running the 2.4 msi.

Machine information:

Windows XP Professional V2002 SP2
Dell Latitude D600 640MB RAM
Symantec Antivirus 9.0.1.1000 (disable it does not help)
cscript.exe version 5.6.0.8825 (upgraded from 8820?)

The workaround mentioned in 105470 does not help. 
Running x.vbs gives me 0. Doing 

regsvr32 c:\windows\system32\scrrun.dll

makes no difference.
msg25287 - (view) Author: Wai Yip Tung (tungwaiyip) Date: 2005-05-16 20:32
Logged In: YES 
user_id=561546

Problem solved:

I copied the msi file to the root directory (e.g. c:\) and launch from 
there. it works prefectly.

I found that not only Python installer gave me problem, any msi 
installer gave me problem on this machine. Then I found the clue 
from Ultramon's FAQ:

http://www.realtimesoft.com/ultramon/support.asp#2
msg25288 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-05-20 21:25
Logged In: YES 
user_id=21627

Closing the problem as fixed.
History
Date User Action Args
2022-04-11 14:56:11adminsetgithub: 41969
2005-05-11 16:01:55tungwaiyipcreate